package com.yeejoin.amos.api.tool.face.orm.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.typroject.tyboot.core.rdbms.orm.entity.BaseEntity;

import java.util.Date;
import java.sql.Timestamp;

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("view")
public class View extends BaseEntity {


    @TableId(
            value = "SEQUENCE_NBR",
            type = IdType.ID_WORKER
    )
    protected Long sequenceNbr;
    /**
     * 继承的无关字段
     */
    @TableField(
            value = "REC_DATE",
            exist = false,
            select = false
    )
    protected Date recDate;
    @TableField(
            value = "REC_USER_ID",
            exist = false,
            select = false
    )
    protected String recUserId;
    /**
     * 编号
     */
//    @TableId(type = IdType.ID_WORKER_STR)
//    private String vid;
    /**
     * 名称
     */
    @TableField("NAME")
    private String name;
    /**
     * 场景
     */
    @TableField("SENCES")
    private String sences;
    /**
     * 所属机构
     */
    @TableField("AGENCY")
    private String agency;
    /**
     * 查看次数
     */
    @TableField("TIMES")
    private Integer times;
    /**
     * URL
     */
    @TableField("URL")
    private String url;
    /**
     * 发布时间
     */
    @TableField("RELEASE")
    private Timestamp release;
}
